summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
Diffstat (limited to 'development')
-rw-r--r--development/mcpp/README18
-rw-r--r--development/mcpp/mcpp.SlackBuild77
-rw-r--r--development/mcpp/mcpp.info8
-rw-r--r--development/mcpp/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/development/mcpp/README b/development/mcpp/README
new file mode 100644
index 0000000000..593c01be5e
--- /dev/null
+++ b/development/mcpp/README
@@ -0,0 +1,18 @@
+mcpp is a C/C++ preprocessor with the following features.
+* Implements all of C90, C99 and C++98 specifications.
+* Provides a validation suite to test C/C++ preprocessor's conformance
+ and quality comprehensively. When this validation suite is applied,
+ mcpp distinguishes itself among many existing preprocessors.
+* Has plentiful and on-target diagnostics to check all the preprocessing
+ problems such as latent bug or lack of portability in source code.
+* Has #pragma directives to output debugging information.
+* Is portable and has been ported to many compliler-systems, including
+ GCC and Visual C++, on UNIX-like systems and Windows.
+* Preprocessors of various behavior modes are able to be generated from
+ the source code.
+* Can be built either as a compiler-specific preprocessor to replace the
+ resident preprocessor of a particular compiler system, or as a
+ compiler-independent command, or even as a subroutine called from some
+ other main program.
+* Provides comprehensive documents both in Japanese and in English.
+* Is an open source software released under BSD-style-license.
diff --git a/development/mcpp/mcpp.SlackBuild b/development/mcpp/mcpp.SlackBuild
new file mode 100644
index 0000000000..f3b3bb8394
--- /dev/null
+++ b/development/mcpp/mcpp.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for MCPP
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=mcpp
+VERSION=${VERSION:-2.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-mcpplib \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/mcpp $PKG/usr/doc/mcpp-$VERSION
+cp -a ChangeLog* INSTALL* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/mcpp/mcpp.info b/development/mcpp/mcpp.info
new file mode 100644
index 0000000000..f858ebc848
--- /dev/null
+++ b/development/mcpp/mcpp.info
@@ -0,0 +1,8 @@
+PRGNAM="mcpp"
+VERSION="2.7.1"
+HOMEPAGE="http://mcpp.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mcpp/mcpp-2.7.1.tar.gz"
+MD5SUM="375575ed6b305edd985c7adf9f36202e"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="Erik Hanson" \ No newline at end of file
diff --git a/development/mcpp/slack-desc b/development/mcpp/slack-desc
new file mode 100644
index 0000000000..1b6a1d635b
--- /dev/null
+++ b/development/mcpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mcpp: MCPP is C/C++ preprocessor.
+mcpp:
+mcpp: MCPP is a portable C/C++ preprocessor, supporting GCC, Visual
+mcpp: C++, etc. Its source is highly configurable and can generate
+mcpp: executables of various specs. It accompanies a validation suite
+mcpp: to check preprocessor's conformance and quality exhaustively.
+mcpp:
+mcpp: Homepage: http://mcpp.sourceforge.net/
+mcpp:
+mcpp:
+mcpp: